import { FieldComponentProps } from '../../plugins/field/field-component.model';
export interface Props extends FieldComponentProps {
    modelValue: string;
    placeholder?: string;
}
declare const _default: import('vue').DefineComponent<Props, {
    setFocus: () => void;
}, {}, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {} & {
    "update:modelValue": (value: string) => any;
}, string, import('vue').PublicProps, Readonly<Props> & Readonly<{
    "onUpdate:modelValue"?: ((value: string) => any) | undefined;
}>, {
    label: string;
    required: boolean;
    disabled: boolean;
}, {}, {}, {}, string, import('vue').ComponentProvideOptions, false, {
    textArea: HTMLTextAreaElement;
}, any>;
export default _default;
